Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLState

    java.lang.Object
      codeanticode.glgraphics.GLState

    public class GLState

extends java.lang.Object

Field Summary
`static boolean` | `fboMultisampleAvailable`
`static boolean` | `fbosAvailable`
`static boolean` | `floatTexAvailable`
`static boolean` | `fragShadersAvailable`
`static boolean` | `geoShadersAvailable`
`static GL` | `gl`
`static boolean` | `glsl100Available`
`static GLU` | `glu`
`static boolean` | `multiTexAvailable`
`static boolean` | `nonTwoPowTexAvailable`
`static boolean` | `shadersAvailable`
`static boolean` | `vbosAvailable`
`static boolean` | `vertShadersAvailable`

Constructor Summary
`GLState(GL gl)`

Method Summary
`void` | `clearColorBuffer(int color)`
`void` | `clearTex(int glid, int target, int color)`
`void` | `copyTex(GLTexture srcTex, GLTexture destTex)`
`static void` | `disablePopFramebuffer()`
`static void` | `disablePushFramebuffer()`
`static void` | `disableSingleFBO()`
`static void` | `enablePopFramebuffer()`
`static void` | `enablePushFramebuffer()`
`static void` | `enableSingleFBO()`
`static int` | `getGLMajor()`
`static int` | `getGLMinor()`
`static java.lang.String` | `getGLSLVersion()`
`static java.lang.String` | `getGLVersion()`
`static boolean` | `isFramebufferFixed()`
`static boolean` | `isPopFramebufferEnabled()`
`static boolean` | `isPushFramebufferEnabled()`
`static boolean` | `isSingleFBO()`
`void` | `paintTex(int glid, int target, int w, int h, int color)`
`void` | `restoreGLMatrices()`
`void` | `restoreGLState()`
`void` | `restoreView()`
`void` | `saveGLMatrices()`
`void` | `saveGLState()`
`void` | `saveView()`
`static void` | `setFramebufferFixed(boolean newVal)`
`void` | `setOrthographicView(int w, int h)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### multiTexAvailable

    public static boolean multiTexAvailable

### vbosAvailable

    public static boolean vbosAvailable

### fbosAvailable

    public static boolean fbosAvailable

### shadersAvailable

    public static boolean shadersAvailable

### geoShadersAvailable

    public static boolean geoShadersAvailable

### vertShadersAvailable

    public static boolean vertShadersAvailable

### fragShadersAvailable

    public static boolean fragShadersAvailable

### glsl100Available

    public static boolean glsl100Available

### floatTexAvailable

    public static boolean floatTexAvailable

### nonTwoPowTexAvailable

    public static boolean nonTwoPowTexAvailable

### fboMultisampleAvailable

    public static boolean fboMultisampleAvailable

### gl

    public static GL gl

### glu

    public static GLU glu

Constructor Detail

### GLState

    public GLState(GL gl)

Method Detail

### setOrthographicView

    public void setOrthographicView(int w,
                                    int h)

### saveView

    public void saveView()

### restoreView

    public void restoreView()

### saveGLState

    public void saveGLState()

### restoreGLState

    public void restoreGLState()

### saveGLMatrices

    public void saveGLMatrices()

### restoreGLMatrices

    public void restoreGLMatrices()

### clearColorBuffer

    public void clearColorBuffer(int color)

### copyTex

    public void copyTex(GLTexture srcTex,
                        GLTexture destTex)

### clearTex

    public void clearTex(int glid,
                         int target,
                         int color)

### paintTex

    public void paintTex(int glid,
                         int target,
                         int w,
                         int h,
                         int color)

### enableSingleFBO

    public static void enableSingleFBO()

### disableSingleFBO

    public static void disableSingleFBO()

### isSingleFBO

    public static boolean isSingleFBO()

### enablePopFramebuffer

    public static void enablePopFramebuffer()

### disablePopFramebuffer

    public static void disablePopFramebuffer()

### isPopFramebufferEnabled

    public static boolean isPopFramebufferEnabled()

### enablePushFramebuffer

    public static void enablePushFramebuffer()

### disablePushFramebuffer

    public static void disablePushFramebuffer()

### isPushFramebufferEnabled

    public static boolean isPushFramebufferEnabled()

### setFramebufferFixed

    public static void setFramebufferFixed(boolean newVal)

### isFramebufferFixed

    public static boolean isFramebufferFixed()

### getGLVersion

    public static java.lang.String getGLVersion()

### getGLMajor

    public static int getGLMajor()

### getGLMinor

    public static int getGLMinor()

### getGLSLVersion

    public static java.lang.String getGLSLVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008